permissions object definingedit/delete/publish is broader than view,view is automatically escalated to match (to all if the broader scopes mixteam and project, since neither implies the other).X-Organization-Id (int, optional): Override the org scoping these permission sets.manage (admin) access to the specified organization.data.permission_set.curl --location --globoff 'https:///api/v2/permission-sets/' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
"name": "Agent Editors",
"description": "Can view all agents and edit team agents",
"is_default": false,
"permissions": {
"agents": {
"view": "all",
"edit": "team",
"delete": null,
"publish": null,
"create": false
}
}
}'{
"success": true,
"message": "string",
"data": {
"permission_set": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization_id": 0,
"name": "string",
"description": "string",
"is_default": true,
"is_system": true,
"is_deleted": true,
"permissions": {
"property1": "string",
"property2": "string"
}
}
}
}